<?php

include( "Database.class.php" );
include( "Revue.class.php" );

/**
 * La classe GestionRevues
 *
 * @author    tv
 * @copyright none
 */
class GestionRevues 
{
    // Attributes
   /**
    *    le nom de la table contenant des revues
    *    @access private
    */
    var $_table;

    // Associations
   /**
    *    indique si une connexion avec la base de donnes existe (bool)
    *    @accociation Database to idDB
    *    @access private
    */
    var $idDB;

   /**
    *    la liste des revues prsentes dans la table (array)
    *    @accociation Revue to listeRevues
    *    @access private
    */
    var $listeRevues;

    // Operations
   /**
    *    Ajoute une revue dans la base de donnes
    *    
    *    @access public 
    *    @param	string	$nomRevue	le nom de la revue  ajouter
    *    @return string		ventuellement l'erreur MySQL    
    */
    function Ajouter ( $nomRevue )
    {
    	$retour = false;

		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		if(IsSet($nomRevue) && !Empty($nomRevue))
		{
			$insert = "INSERT INTO $this->_table VALUES('', '$nomRevue')";
			$result = mysql_query($insert);
			if($result)
				$retour = false;
			else 
			{
				$retour = "Erreur mysql_query(\"$insert\") n".mysql_errno()." : ".mysql_error();
			}
		}
		return $retour;
    }

   /**
    *    Supprime une revue de la base de donnes
    *    
    *    @access public 
    *    @param	int	$revueId	l'identifiant de la revue  supprimer
    *    @return string		ventuellement l'erreur MySQL    
    */
    function Supprimer ( $revueId )
    {
    	$retour = false;

		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		if(IsSet($revueId) && !Empty($revueId))
		{
			$delete = "DELETE FROM $this->_table WHERE revueid='$revueId'";
			$result = mysql_query($delete);
			if($result)
				$retour = false;
			else 
			{		
				$retour = "Erreur mysql_query(\"$delete\") n".mysql_errno()." : ".mysql_error();
			}
		}
		return $retour;
    }

   /**
    *    Retourne la liste des revues prsentes dans la base de donnes
    *    {@source}
    *
    *    @access public 
    *    @return array		la liste des revues prsentes dans la base de donnes  sinon un code erreur MySQL
    *	 
    */
    function Lister (  )
    {
		$retour = false;

		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		$select = "SELECT * FROM $this->_table";
		$result = mysql_query($select);
		if($result)
		{
			$nbRevues = 0;
			while($objetRevue = mysql_fetch_object($result))
			{
				$revue = new Revue($objetRevue);
				$this->listeRevues[$nbRevues++] = $revue;
			}
			$retour = true;
		}
		else 
		{
			//$retour = "Erreur mysql_query(\"$select\") n".mysql_errno()." : ".mysql_error();
			$retour = -(mysql_errno());
		}
		if(!$retour)
				return $retour;
		else	return $this->listeRevues;
    }

   /**
    *    Modifie une revue existante
    *    
    *    @access public 
    *    @param	int	$revueId	l'identifiant de la revue  modifier
    *    @param	string	$nomRevue	le nouveau nom de la revue
    *    @return string		ventuellement l'erreur MySQL
    */
    function Modifier ( $revueId, $nomRevue )
    {
    	$retour = false;
	
		if(!$this->idDB)
		{
			$retour = "La base de donnes n'est actuellement pas disponible !";
			return $retour;
		}
		if((IsSet($revueId) && !Empty($revueId)) && (IsSet($nomRevue) && !Empty($nomRevue)))
		{
			$update = "UPDATE $this->_table SET nom='$nomRevue' WHERE revueid='$revueId'";
			$result = mysql_query($update);
			if($result)
				$retour = false;
			else 
			{	
				$retour = "Erreur mysql_query(\"$update\") n".mysql_errno()." : ".mysql_error();
			}
		}
		return $retour;
    }

   /**
    *    constructeur de la classe GestionRevues
    *    
    *    @access public 
    *    @see $config
    *    @global array          
    */
    function GestionRevues (  )
    {
    	global $config;

		$db = new DataBase();
		$this->idDB = $db->Connecter($config['database']);
		$this->_table = $config['table'];
		$this->listeRevues = array();
    }

}

?>
