<?php

include( "GestionRevues.class.php" );
/**
 * La classe MenuPrincipal
 *
 * @author    tv
 * @copyright none
 */
class MenuPrincipal 
{
    // Attributes
   /**
    *    indique la prsence d'une erreur (bool)
    *    @access private
    */
    var $_erreur;

    // Associations
   /**
    *    
    *    @accociation GestionRevues to gestionRevue
    *    @access private
    */
    var $gestionRevues;

    // Operations
   /**
    *    Affiche la liste des revues prsentes dans la base de donnes
    *    
    *    @access private
    */
    function _afficherRevues (  )
    {
    	global $PHP_SELF; // maintenant utiliser plutt directement : $_SERVER['PHP_SELF'] (sans le global)
		
		$listeRevues = $this->gestionRevues->Lister();
		echo "<TABLE BORDER=0 bgcolor=#FFFFFF CELLPADDING=1 CELLSPACING=0 ALIGN=CENTER VALIGN=TOP WIDTH=70%>";
		echo "<TR><TD>";
		echo "<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=100%>";
		if($listeRevues)
		{
			$nbRevues = sizeof($listeRevues);
			echo "<tr><td colspan=3 bgcolor=#666699><font color=white><b>Liste des revues disponibles</b></font><br></td></tr>\n";
			for($numRevues=0;$numRevues<$nbRevues;$numRevues++)
			{
				echo "<tr>";
				echo "<td width=10% bgcolor=#E2E8F7>".$listeRevues[$numRevues]->getRevueid()."</td>";
				echo "<td width=40% bgcolor=#E2E8F7>".$listeRevues[$numRevues]->getNom()."</td>";
				echo "<td width=50% bgcolor=#E2E8F7><a href=\"".basename($PHP_SELF)."?op=delete&revueid=".$listeRevues[$numRevues]->getRevueid()."\">Supprimer</a></td>";
				echo "</tr>";
			}
		}
		else 
		{
			echo "<tr><td colspan=3 bgcolor=#666699><font color=white><b>Aucune revue disponible</b></font><br></td></tr>\n";
		}
		echo "</table>";
		echo "</td></tr></table>";
    }

   /**
    *    Affiche un menu permettant d'ajouter, modifier ou supprimer une revue
    *    
    *    @access public 
    */
    function afficherMenu (  )
    {
    	if(!$this->_erreur)
		{
			$this->_afficherRevues();
			$this->_afficherFormulaire();
		}
    }

   /**
    *    dtermine l'opration  effectuer
    *    
    *    @access public 
    *    @param string $op l'opration  effectuer
    */
    function gererOperation ( $op )
    {
    	global $revueid, $nom; // maintenant utiliser plutt directement : $_POST['revueid'] ou $_GET['revueid'] (sans le global)
		
		switch($op)
		{	
			case "Modifier":
			case "modify":		$this->_modifierRevue($revueid, $nom); break;
			case "Supprimer":
			case "delete":		$this->_supprimerRevue($revueid); break;
			case "Ajouter":
			case "add":			$this->_ajouterRevue($nom); break;
			default: 			break;
		}
    }

   /**
    *    constructeur de la classe MenuPrincipal
    *    
    *    @access public 
    */
    function MenuPrincipal (  )
    {
    	$this->gestionRevues = new GestionRevues();
		$this->_erreur = false;
    }

   /**
    *    permet l'ajout d'une revue
    *    
    *    @access private 
    *    @param string $nomRevue le nom de la revue  ajouter
    */
    function _ajouterRevue ( $nomRevue )
    {
    	$erreur = $this->gestionRevues->Ajouter($nomRevue);
		if($erreur)
		{
			$this->_afficherErreur($erreur);
			$this->_erreur = TRUE;
		}
		else $this->_erreur = FALSE;
    }

   /**
    *    permet la suppression d'une revue
    *    
    *    @access private 
    *    @param int $revueId l'identifiant de la revue  supprimer
    */
    function _supprimerRevue ( $revueId )
    {
    	$erreur = $this->gestionRevues->Supprimer($revueId);
		if($erreur)
		{
			$this->_afficherErreur($erreur);
			$this->_erreur = TRUE;
		}
		else $this->_erreur = FALSE;
    }

   /**
    *    permet la modification d'une revue
    *    
    *    @access private 
    *    @param int $revueId l'identifiant de la revue  modifier
    *    @param string $nomRevue le nom de la revue  modifier
    */
    function _modifierRevue ( $revueId, $nomRevue )
    {
    	$erreur = $this->gestionRevues->Modifier($revueId, $nomRevue);
		if($erreur)
		{
			$this->_afficherErreur($erreur);
			$this->_erreur = TRUE;
		}
		else $this->_erreur = FALSE;
    }

   /**
    *    affiche le formulaire
    *    
    *    @access private 
    */
    function _afficherFormulaire (  )
    {
    	global $PHP_SELF; // maintenant utiliser plutt directement : $_SERVER['PHP_SELF'] (sans le global)
	
		echo "<br />";
		echo "<TABLE BORDER=0 bgcolor=#FFFFFF CELLPADDING=1 CELLSPACING=0 ALIGN=CENTER VALIGN=TOP WIDTH=70%>";
		echo "<TR><TD>";
		echo "<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=100%>";
		echo "<tr><td bgcolor=#666699><font color=white><b>Menu</b></font><br></td></tr>\n";
		echo "<form action=".basename($PHP_SELF)." method=post>";
		echo "<tr><td bgcolor=#C7D3EF>Id : <input type=text name=revueid></td></tr>";
		echo "<tr><td bgcolor=#C7D3EF>Nom de la revue : <input type=text name=nom></td></tr>";
		echo "<tr><td bgcolor=#C7D3EF><input type=submit name=op value=Ajouter>&nbsp;<input type=submit name=op value=Modifier>&nbsp;<input type=submit name=op value=Supprimer>&nbsp;</td></tr>";
		echo "</form>";
		echo "</table>";
		echo "</td></tr></table>";
    }

   /**
    *    affiche le message d'erreur
    *    
    *    @access private 
    *    @param string $erreur le message d'erreur
    */
    function _afficherErreur ( $erreur )
    {
    	echo "<TABLE BORDER=0 bgcolor=#FFFFFF CELLPADDING=1 CELLSPACING=0 ALIGN=CENTER VALIGN=TOP WIDTH=70%>";
		echo "<TR><TD>";
		echo "<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=100%>";
		echo "<tr><td bgcolor=#996666><font color=white><b>Message d'erreur</b></font><br></td></tr>\n";
		echo "<tr>";
		echo "<td bgcolor=#F7E8E2>$erreur</td>";
		echo "</tr>";
		echo "</table>";
		echo "</td></tr></table>";
		$this->_erreur = FALSE;
    }

}

?>
